glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Related Functions

# Glib::StaticPrivate< T > Struct Template Reference
Threads

`#include <glibmm/thread.h>`

List of all members.

## Public Types
typedef void(* | DestroyNotifyFunc )(void*)
## Public Member Functions
T* | get ()
void | set (T* data, DestroyNotifyFunc notify_func=&StaticPrivate< T >::delete_ptr)
GStaticPrivate* | gobj ()
## Static Public Member Functions
static void | delete_ptr (void* data)
## Related Functions
(Note that these are not member functions.)
| GLIBMM_STATIC_PRIVATE_INIT
| Initializer macro for Glib::StaticPrivate.

### template <class T>
struct Glib::StaticPrivate< T >

## Member Typedef Documentation

template <class T >

typedef void(* Glib::StaticPrivate< T >::DestroyNotifyFunc)(void*)

## Member Function Documentation

template <class T >

static void Glib::StaticPrivate< T >::delete_ptr | ( | void * | data | ) | `[static]`

template <class T >

T* Glib::StaticPrivate< T >::get | ( |  | ) | `[inline]`

template <class T >

GStaticPrivate* Glib::StaticPrivate< T >::gobj | ( |  | ) | `[inline]`

template <class T >

void Glib::StaticPrivate< T >::set | ( | T * | data,
|  | DestroyNotifyFunc | notify_func = `&StaticPrivate< T >::delete_ptr`
| ) |  | `[inline]`

## Friends And Related Function Documentation

template <class T >

GLIBMM_STATIC_PRIVATE_INIT`[related]`

Initializer macro for Glib::StaticPrivate.